INCLUDES = -I$(top_srcdir)/include $(all_includes) 
YACC = yacc -vd
METASOURCES = AUTO
lib_LTLIBRARIES = libcsqlsql.la
libcsqlsql_la_LDFLAGS = -avoid-version -module \
	$(top_builddir)/src/storage/.libs/libcsql \
	$(top_builddir)/src/gateway/.libs/libcsqlgw \
	$(top_builddir)/src/sqllog/.libs/libcsqlsqllog \
	$(top_builddir)/src/adapter/.libs/libcsqlodbcadapter \
	$(top_builddir)/src/sqlnetwork/.libs/libcsqlsqlnw
libcsqlsql_la_SOURCES = dmlyacc.yxx dmllex.lxx ParsedData.cxx SelStatement.cxx \
	InsStatement.cxx UpdStatement.cxx DelStatement.cxx  DdlStatement.cxx \
	SqlStatement.cxx  StatementFactory.cxx SqlFactory.cxx AlterTblStatement.cxx

noinst_HEADERS = Parser.h Statement.h 
libcsqlsql_a_LIBADD = $(top_builddir)/src/storage/libcsql.la \
	$(top_builddir)/src/adapter/libcsqlodbcadapter.la \
	$(top_builddir)/src/adapter/libcsqlgw.la
